com.google.gwt.event.logical.shared

## Interface HasOpenHandlers<T>

Type Parameters:
  `T` - the type being opened

All Superinterfaces:
  HasHandlers

All Known Implementing Classes:
  AbstractCellTree, CellBrowser, CellTree, DisclosurePanel, Tree

    public interface HasOpenHandlers<T>
    extends HasHandlers

A widget that implements this interface is a public source of `OpenEvent` events.

### Method Summary

All Methods Instance Methods Abstract Methods
`HandlerRegistration` `addOpenHandler(OpenHandler<T> handler)` Adds an `OpenEvent` handler.

### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

`fireEvent`

### Method Detail

#### addOpenHandler

    HandlerRegistration addOpenHandler(OpenHandler<T> handler)

Adds an `OpenEvent` handler.

Parameters:
  `handler` - the handler
Returns:
  the registration for the event